import json
import boto3


def main(event, context):
    print(event)
    message = "Error en la actualización de stock."
    subject = "BSMSapp"
    client = boto3.client("sns")
    # El dueño del tópico podría salir de la BD, habría que guardar la relación item y dueño.
    # Ahora está hardcodeado a un dueño solo (no me parece mal de todos modos para la entrega esta)
    # Pero podríamos hacer un get del dynamo y obtener el dueño de ahí sino.
    topic_arn = "arn:aws:sns:us-east-1:025685231147:slococo"
    client.publish(TopicArn=topic_arn, Message=message, Subject=subject)
